/*
 * xritty: An application to transmit and receive
 *  RTTY signals using a computer's sound card
 *
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef DISPLAY_H
#define DISPLAY_H	1

#include <math.h>
#include "common.h"
#include "support.h"

/* Receive and Transmit status indicators */
#define RECV_OFF \
  _("<span background=\"lightgrey\"> RECEIVE (OFF) </span>")

#define RECV_RTTY \
  _("<span background=\"green\" foreground=\"white\"> RECEIVE RTTY </span>")

#define XMIT_OFF \
  _("<span background=\"lightgrey\"> TRANSMIT (OFF) </span>")

#define XMIT_RTTY \
  _("<span background=\"red\" foreground=\"white\"> TRANSMIT RTTY </span>")

#define LTRS \
  _("<span background=\"darkgreen\" foreground=\"white\"> LTRS </span>")

#define FIGS \
  _("<span background=\"darkred\" foreground=\"white\"> FIGS </span>")

/* Length and multiplier of amplitude averaging window  */
#define AMPL_AVE_WIN		2
#define AMPL_AVE_MUL		1

#endif

